{
  "extends": "@kit/tsconfig/base.json",
  "compilerOptions": {
    "baseUrl": ".",
    "paths": {
      "@kit/ui/*": ["packages/ui/src/*"],
      "@kit/ui": ["packages/ui/src/index.ts"],
      "@lib/*": ["packages/features/medusa-storefront/src/lib/*"],
      "@modules/*": ["packages/features/medusa-storefront/src/modules/*"],
      "@styles/*": ["packages/features/medusa-storefront/src/styles/*"],
      "types/*": ["packages/features/medusa-storefront/src/types/*"],
      "~/config/*": ["./config/*"],
      "~/components/*": ["./components/*"],
      "~/lib/*": ["./lib/*"],
      "~/medusa/*": ["./packages/features/medusa-storefront/src/*"],
      "@/*": ["./*"],
      "~/*": ["./app/*"]
    },
    "plugins": [
      {
        "name": "next"
      }
    ],
    "tsBuildInfoFile": "node_modules/.cache/tsbuildinfo.json"
  },
  "include": [
    "next-env.d.ts",
    ".next/types/**/*.ts",
    "*.ts",
    "*.tsx",
    "./config/**/*.ts",
    "components/**/*",
    "lib/**/*.ts",
    "app"
  ],
  "exclude": ["node_modules", ".next"]
}
